---
title: Force Touch events
slug: Web/API/Force_Touch_events
tags:
  - Advanced
  - DOM
  - Event
  - Mobile
  - NeedsBrowserCompatibility
  - NeedsCompatTable
  - NeedsMobileBrowserCompatibility
  - Reference
---
<p>{{DefaultAPISidebar("Force Touch events")}}</p>

<p>{{Non-standard_header()}}</p>

<p><strong>Force Touch events</strong> are a proprietary, Apple-specific feature which makes possible (where supported by the input hardware) new interactions based on how hard the user clicks or presses down on the touchscreen or trackpad.</p>

<h2 id="Events">Events</h2>

<dl>
 <dt>{{event("webkitmouseforcewillbegin")}} {{non-standard_inline}}</dt>
 <dd>This event is fired before the {{event("mousedown")}} event. Its main use is that it can be {{domxref("Event.preventDefault()")}}ed.</dd>
 <dt>{{event("webkitmouseforcedown")}} {{non-standard_inline}}</dt>
 <dd>This event is fired after the {{event("mousedown")}} event as soon as sufficient pressure has been applied for it to qualify as a "force click".</dd>
 <dt>{{event("webkitmouseforceup")}} {{non-standard_inline}}</dt>
 <dd>This event is fired after the {{event("webkitmouseforcedown")}} event as soon as the pressure has been reduced sufficiently to end the "force click".</dd>
 <dt>{{event("webkitmouseforcechanged")}} {{non-standard_inline}}</dt>
 <dd>This event is fired each time the amount of pressure changes. This event first fires after the {{event("mousedown")}} event and stops firing before the {{event("mouseup")}} event.</dd>
</dl>

<h2 id="Event_properties">Event properties</h2>

<p>The following property is known to be available on the {{event("webkitmouseforcewillbegin")}}, {{event("mousedown")}}, {{event("webkitmouseforcechanged")}}, {{event("webkitmouseforcedown")}}, {{event("webkitmouseforceup")}}, {{event("mousemove")}}, and {{event("mouseup")}} event objects:</p>

<dl>
 <dt>{{domxref("MouseEvent.webkitForce")}} {{non-standard_inline()}} {{readonlyinline}}</dt>
 <dd>The amount of pressure currently being applied to the trackpad/touchscreen</dd>
</dl>

<h2 id="Constants">Constants</h2>

<p>These constants are useful for determining the relative intensity of the pressure indicated by {{domxref("MouseEvent.webkitForce")}}:</p>

<dl>
 <dt>{{domxref("MouseEvent.WEBKIT_FORCE_AT_MOUSE_DOWN")}} {{non-standard_inline}}{{readonlyinline}}</dt>
 <dd>Minimum force necessary for a normal click</dd>
 <dt>{{domxref("MouseEvent.WEBKIT_FORCE_AT_FORCE_MOUSE_DOWN")}} {{non-standard_inline}}{{readonlyinline}}</dt>
 <dd>Minimum force necessary for a force click</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<p><em>Not part of any specification.</em> Apple has <a href="https://developer.apple.com/library/prerelease/mac/documentation/AppleApplications/Conceptual/SafariJSProgTopics/RespondingtoForceTouchEventsfromJavaScript.html">a description at the Mac Developer Library</a>.</p>
